<bugID>1068664<Summary>Add new API for downloads held temporarily in a blocked state with partial data</Summary><Description>This bug is about adding support to Downloads.jsm for downloads held temporarily in a blocked state, with partial data still present on disk until the user makes a decision on how to handle them.

Some things to take into account:
- Some clients may not support displaying a UI for unblocking those downloads, and we don't want to keep the data on disk in that case, unless we can make sure we delete it promptly in all cases. We may assimilate those to failed downloads with partial data, but we may need to use a different error than "becauseBlocked", as some consumers may make assumptions and consider it a final state with no data (instead of specifically checking whether there is partial data).
- Blocked downloads with partial data will need to be persisted across sessions.
- A special API or a variant of the "start" API is needed to indicate the intention of unblocking the download.
- This system will need to be applied to the "legacy" and "copy" saver types.
- We may have different reasons for the temporary block.</Description></bugID>